[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataLink.UpdateAction

Update handler for actions

## Declaration

Source position: db.pas line 1718

`public function TDataLink.UpdateAction(`
`Action: TBasicAction`
`):Boolean; virtual;`

## Arguments

`Action` |  | Action to check

## Function result

True if the action handles the datalink's datasource.

## Description

UpdateAction implements action update support. It should never be necessary to call UpdateAction from program code, as it is called automatically whenever a target control needs to update an action. This method must be overridden in case any specific action must be taken when the action must be updated. The implementation in TDatalink checks if the action handles the datasource, and then calls Action.UpdateTarget, passing it the datasource. If so, it returns True.

## See also

TDataLink.ExecuteAction |  | Execute action

Documentation generated on: Feb 26 2014